Bug 995701 - Fedora FC 19 Full install x86_64 will not allow existing partitions to be preserved (or so it plainly says)
Fedora FC 19 Full install x86_64 will not allow existing partitions to be pre...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 04:33 EDT by wwaustin
Modified: 2017-03-16 11:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 17:11:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wwaustin 2013-08-10 04:33:26 EDT
Description of problem:
I am attempting to install Fedora FC 19 x86_64 to replace an FC 17 installation.
This is a large system with 6 HD's and 9TB of disk space.
I ONLY want to install /, /tmp, and /var - and reformat one swap partition.
The drive (/dev/sda1) currently has 8 partitions: /, <swap>, /var, /tmp, and 4 other "user paritions" which I would like to preserve.

I select only /dev/sda, and then I tell the installer that I want to do a custom install.  

I select / and name its mount point, then I check reformat.  I do the same for /tmp and /var, and I tell installer to reformat the swap partition.

Then I hit the done button, and here's the ERROR:

No matter whether I never indicate ANYTHING about the other 4 partitions (/dev/sda6 through /dev/sda9) or if I list their mount points but do NOT check reformat, the installer comes back and plainly says that /, /tmp, and /var will be reformatted, but it also says the the 4 partitions I want to preserve will have their formats destroyed (sorry I didn't write down the exact wording).

Version-Release number of selected component (if applicable):
Fedor FC 19, fedora/linux/releases/19/Fedora/arch/iso/Fedora-19-x86_64-DVD.iso

How reproducible:

ALWAYS HAPPENS

Steps to Reproduce:
1. download iso image, burn to disk, check the sha256sum of the disk against the provided information (did this and it checked out OK).
2. put the dvd in the drive and hit reboot.
3. Attempt the install.  Pick your language.  Pick software.  select destination for installation.
4. select /dev/sda only
5. Select custom installation
6. Tell system to reformat /, /tmp, /var and <swap>.  And set mount points for /, /tmp, and /var.  Hit update and DONE

Actual results:

The system then tells the user that the 3 selected (/, /tmp, and /var) partitions will be reformatted.

HOWEVER IT ALSO SAYS THE FORMAT WILL BE DESTROYED on the 4 partitions I need to retain.

Expected results:

The system should tell the user that the 3 selected (/, /tmp, and /var) partitions will be reformatted.
It should either remain moot about the other (non-selected) partitions OR it 
should say their formats are being preserved.

Additional info:

(this is not my first install: I have been using linux since before RH 5.0, and have done literally over 100 installs since the both for myself and for friends, plus co-workers at the office.  IMHO this installer is greatly inferior to the one used in [for instance] fc17 which was far more flexible and did NOT tell me it was going to wipe out drives I want to preserve.
Comment 1 wwaustin 2013-08-16 12:33:50 EDT
This is clearly an error in the messages output by anaconda. After selecting the 3 partitions on one disk to use, it clearly stated that the other partitions would have their format destroyed.  As it turns out this was incorrect; however, the user has no way to know that in advance, and most folks would rather not play "Russian Roulette" with their file systems.

If the disk is not going to be touched, instead of indicating that its formatting is going to be destroyed it would be much more useful (not to mention correct) to state something telling the user that it will not be touched or that it's formatting will not be changed.

The way it is now is misleading at best and dead wrong at worst.

(I wasted several hours backing up 1.8TB of data across a network just to be safe, and I would rather NOT have had to do that.  But with the messages which anaconda gave, there weren't a lot of choices if I wanted to be sure to preserve that data.)
Comment 2 David Shea 2014-01-02 15:47:13 EST
Does this still occur with F20? Please attach the log files from /tmp to this bug.
Comment 3 wwaustin 2017-03-16 11:43:01 EDT
Previously I had replied here that the problem no longer existed in F20.  I must not have saved it.
Now if I could just get the system to stop reminding me that this bug report is still active (which apparently it isn't)...

Note You need to log in before you can comment on or make changes to this bug.